[Koha] Problems installing

Michael Watson thornswabbler at earthlink.net
Wed Aug 4 13:56:34 NZST 2004


I am having problems installing Koha 2.0.0 on a SuSE Linux 9.0 professional 

I had 2.0RC4 running on this computer, but wanted to get the "production" 
verison, so I uninstalled RC4 (by dropping the Koha database, deleting the 
Koha webpages, and removing kohaadmin from the mysql.users table). Then I 
tried to install 2.0.0 by running installer.pl, and got this error message:
The Net::Z3950 module is missing. This module is necessary if you want to
use Koha's Z39.50 client to download bibliographic records from other

To install this module, you will need the yaz client installed from
http://www.indexdata.dk/yaz/ and then you can install the perl module with
the command:

perl -MCPAN -e 'install Net::Z3950'

...or by installing packages for your distribution, if available.

IMPORTANT NOTE : If you use Perl 5.8.0, you might need to edit NET::Z3950's
Makefile.PL and yazwrap/Makefile.PL to include:


When I run perl -MCPAN -e 'install Net::z3950', I get the following error:

ERROR: Unable to call script 'yaz-config': is YAZ installed? at Makefile.PL 
line 12.
Running make test
  Make had some problems, maybe interrupted? Won't test
Running make install
  Make had some problems, maybe interrupted? Won't install
linux:/home/mwatso/SCC ILS Poster Session/koha-2.0.0 #

So at this point, I downloaded yaz2.0.20; ran 'configure' then 'make' then 
'make install', and than ran perl -MCPAN -e 'install Net::Z3950' once again. 
I got the same error message as I did before installing yaz, saying that 
yaz-config couldn't be called at Makefile.PL line 12.

Any suggestions as to what's going wrong, and what I need to do to fix it?

More information about the Koha mailing list